<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE components PUBLIC "-//AJAX4JSF//CDK Generator config/EN"  "http://labs.jboss.com/jbossrichfaces/component-config.dtd" >

<components>
    <component>
        <name>org.richfaces.InplaceSelect</name>
        <family>org.richfaces.InplaceSelect</family>
        <classname>
            org.richfaces.component.html.HtmlInplaceSelect
        </classname>
        <superclass>org.richfaces.component.UIInplaceSelect</superclass>
		<test>
			<classname>org.richfaces.component.html.HtmlInplaceSelectComponentTest</classname>
			<superclassname>org.ajax4jsf.tests.AbstractAjax4JsfTestCase</superclassname>
		</test>
        <description>
            <![CDATA[  ]]>
        </description>
		<renderer  generate="true" override="true">
			<name>org.richfaces.renderkit.InplaceSelectRenderer</name>
			<template>inplaceselect.jspx</template>
		</renderer>
       	
       	<tag>
       		<name>inplaceSelect</name>
            <classname>org.richfaces.taglib.InplaceSelectTag</classname>
            <superclass>
				org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
			</superclass>
			<test/>
       	</tag>
       	<properties>
       		<property>
       			<name>layout</name>
       			<classname>java.lang.String</classname>
       			<description>inline/block</description>
       			<defaultvalue><![CDATA["inline"]]></defaultvalue>
       		</property>
       		
       		<property>
		  		<name>editEvent</name>
		  		<classname>java.lang.String</classname>
		  		<description></description>
		  		<defaultvalue><![CDATA["onclick"]]></defaultvalue>
		  	</property>
		  	<property>
		  		<name>maxSelectWidth</name>
		  		<classname>java.lang.String</classname>
		  		<description></description>
		  		<defaultvalue><![CDATA["200px"]]></defaultvalue>
		  	</property>
		  	<property>
		  		<name>minSelectWidth</name>
		  		<classname>java.lang.String</classname>
		  		<description></description>
		  		<defaultvalue><![CDATA["100px"]]></defaultvalue>
		  	</property>
		  	<property>
		  		<name>selectWidth</name>
		  		<classname>java.lang.String</classname>
		  		<description></description>
		  		<defaultvalue><![CDATA[""]]></defaultvalue>
		  	</property>
		  	<property>
		  		<name>defaultLabel</name>
		  		<classname>java.lang.String</classname>
		  		<description></description>
		  		<defaultvalue><![CDATA["\u00a0\u00a0\u00a0"]]></defaultvalue>
		  	</property>
		  	<property>
		  		<name>showControls</name>
		  		<classname>boolean</classname>
		  		<description></description>
		  		<defaultvalue>false</defaultvalue>
		  	</property>
		  	<property>
		  		<name>saveControlIcon</name>
		  		<classname>java.lang.String</classname>
		  		<description></description>
		  	</property>
		  	<property>
		  		<name>cancelControlIcon</name>
		  		<classname>java.lang.String</classname>
		  		<description></description>
		  	</property>
		  	<property>
		  		<name>controlsVerticalPosition</name>
		  		<classname>java.lang.String</classname>
		  		<description></description>
		  		<defaultvalue><![CDATA["center"]]></defaultvalue>
		  	</property>
		  	<property>
		  		<name>controlsHorizontalPosition</name>
		  		<classname>java.lang.String</classname>
		  		<description></description>
		  		<defaultvalue><![CDATA["right"]]></defaultvalue>
		  	</property>
		   	<property>
		  		<name>oneditactivation</name>
		  		<classname>java.lang.String</classname>
		  		<description></description>
		  	</property>
		  	<property>
		  		<name>onviewactivation</name>
		  		<classname>java.lang.String</classname>
		  		<description></description>
		  	</property>
		  	<property>
		  		<name>oneditactivated</name>
		  		<classname>java.lang.String</classname>
		  		<description></description>
		  	</property>
		  	<property>
		  		<name>onviewactivated</name>
		  		<classname>java.lang.String</classname>
		  		<description></description>
		  	</property>
		  	<property>
		  		<name>selectOnEdit</name>
		  		<classname>boolean</classname>
		  		<description></description>
		  		<defaultvalue>false</defaultvalue>
		  	</property>
		  	<property>
		  		<name>tabindex</name>
		  		<classname>int</classname>
		  		<description></description>
		  	</property>
		  	<property>
       			<name>value</name>
       			<classname>java.lang.Object</classname>
       			<description></description>
       		</property>
       		
       		<property>
	            <name>listWidth</name>
	            <classname>java.lang.String</classname>
	            <description></description>
	            <defaultvalue>"200px"</defaultvalue>
	        </property>
	        
	        <property>
	            <name>listHeight</name>
	            <classname>java.lang.String</classname>
	            <description></description>
	            <defaultvalue>"200px"</defaultvalue>
	        </property>
	        <property>
	            <name>editOnTab</name>
	            <classname>boolean</classname>
	            <description></description>
	            <defaultvalue>true</defaultvalue>
	        </property>
	        <property>
	            <name>openOnEdit</name>
	            <classname>boolean</classname>
	            <description></description>
	            <defaultvalue>true</defaultvalue>
	        </property>
	        <property>
	            <name>viewClass</name>
	            <classname>java.lang.String</classname>
	            <description></description>
	        </property>
	        <property>
	            <name>editClass</name>
	            <classname>java.lang.String</classname>
	            <description></description>
	        </property>
	        <property>
	            <name>changedClass</name>
	            <classname>java.lang.String</classname>
	            <description></description>
	        </property>
	        <property>
	            <name>controlClass</name>
	            <classname>java.lang.String</classname>
	            <description></description>
	        </property>
	        <property>
	            <name>viewHover</name>
	            <classname>java.lang.String</classname>
	            <description></description>
	        </property>
	        <property>
	            <name>controlPressed</name>
	            <classname>java.lang.String</classname>
	            <description></description>
	        </property>
	        <property>
	            <name>controlHover</name>
	            <classname>java.lang.String</classname>
	            <description></description>
	        </property>
	        &html_events;
    		&ui_component_attributes;
    		&ui_input_attributes;

		</properties>    
    </component>
</components>
